Skip to main content
PUT
Update warehouse

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Path Parameters

id
integer
required

The warehouse ID

Example:

1

Body

application/json
name
string

Warehouse name. Must not be greater than 255 characters.

Example:

"Main Warehouse"

code
string

Warehouse code. Must not be greater than 255 characters.

Example:

"WH-MAIN"

company_id
integer

Company ID. The id of an existing record in the companies table.

Example:

1

partner_address_id
integer | null

Partner address ID. The id of an existing record in the partners_partners table.

Example:

10

reception_steps
string | null

Incoming shipment workflow step value.

Example:

"one_step"

delivery_steps
string | null

Outgoing shipment workflow step value.

Example:

"one_step"

supplier_warehouses
integer[]

The id of an existing record in the inventories_warehouses table.

Example:

Response

Success